//corea.h


#define ADI_NUM_SECONDARY_HANDLERS 16
#define ADI_NUM_DEVICES 2

// storage for interrupt manager secondary handlers
extern u8 IntMgrData[(ADI_INT_SECONDARY_MEMORY * ADI_NUM_SECONDARY_HANDLERS)];	

// DMA Manager data (base memory + memory for 1 DMA channel)
extern u8 DMAMgrData[ADI_DMA_BASE_MEMORY + (ADI_DMA_CHANNEL_MEMORY * 12)];

// Deferred Callback Manager data (memory for 1 service plus 4 posted callbacks)
#if defined(USE_DEFERRED_CALLBACKS)
extern u8 DCBMgrData[ADI_DCB_QUEUE_SIZE + (ADI_DCB_ENTRY_SIZE)*4];
#endif

// Device Manager data (base memory + memory for 1 device)
extern u8 DevMgrData[ADI_DEV_BASE_MEMORY + (ADI_DEV_DEVICE_MEMORY * ADI_NUM_DEVICES)];

extern ADI_DEV_DEVICE_HANDLE 	DeviceHandle;
extern  ADI_DCB_HANDLE			DCBManagerHandle;		// handle to the callback service
extern 	ADI_DMA_MANAGER_HANDLE 	DMAManagerHandle;		// handle to the DMA Manager
extern	ADI_DEV_MANAGER_HANDLE 	DeviceManagerHandle;	// handle to the Device Manager

extern ADI_DMA_STREAM_HANDLE  StreamHandle;      // handle to the memory stream
extern ADI_DMA_STREAM_HANDLE  StreamHandle1;      // handle to the memory stream


